Subject: Re: how do I write a 'service'?
From: [email-masked] (Jason Tishler)

28 Jan 1997 08:24:30 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.0Gold (WinNT; I)
Original-To: Noella Pierlet <[email-masked]>
Original-CC: [email-masked]
Original-Sender: [email-masked]

> But how do I do that? Any suggestions?

If you have MSDN, then just search for service and you will find articles
and sample code.  If you don't, then you can find most of the information
on Microsoft's web site.  Start with the following:

http://www.microsoft.com/msdn/sdk/platforms/doc/sdk/win32/sys/src/services.htm
http://www.microsoft.com/msdn/sdk/platforms/doc/sdk/win32/func/src/f11_6.htm

You can get sample code from:

http://www.microsoft.com/kb/softlib/mslfiles/HELSVC.EXE

Ignore the OLE stuff (unless you are interested) and look at service.h
and service.c.

Hope this helps.

Jason

-- 
Jason Tishler                        Phone: +1 (212) 989-4455 ext. 120
Box Hill Systems Corporation         Fax:   +1 (212) 989-6817
161 Avenue of the Americas           Email: [email-masked]
New York, NY 10013 USA               WWW:   http://www.boxhill.com
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".